summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWaldemar Brodkorb <mail@waldemar-brodkorb.de>2005-05-04 07:07:58 +0000
committerWaldemar Brodkorb <mail@waldemar-brodkorb.de>2005-05-04 07:07:58 +0000
commit6d616c6c8a115600cc82f34f9beaee8a63b9aa54 (patch)
tree83297f5220a771cda4ac10955deee2fe6de0134e
parent56c9e7794a5bcdc5a1e4d72c17aafd2583a2eda4 (diff)
downloadmtk-20170518-6d616c6c8a115600cc82f34f9beaee8a63b9aa54.zip
mtk-20170518-6d616c6c8a115600cc82f34f9beaee8a63b9aa54.tar.gz
mtk-20170518-6d616c6c8a115600cc82f34f9beaee8a63b9aa54.tar.bz2
first try to configure pptp automatically
SVN-Revision: 796
-rwxr-xr-xopenwrt/package/pptp/ipkg/etc/init.d/S50pptp18
-rw-r--r--openwrt/package/pptp/ipkg/etc/ppp/options.pptp13
2 files changed, 30 insertions, 1 deletions
diff --git a/openwrt/package/pptp/ipkg/etc/init.d/S50pptp b/openwrt/package/pptp/ipkg/etc/init.d/S50pptp
new file mode 100755
index 0000000..34ff8a6
--- /dev/null
+++ b/openwrt/package/pptp/ipkg/etc/init.d/S50pptp
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+. /etc/functions.sh
+
+WAN_PROTO=$(nvram get wan_proto)
+[ "$WAN_PROTO" = "pptp" ] || exit 0
+
+for module in ip_gre slhc ppp_generic ppp_async ppp_deflate ; do
+ /sbin/insmod $module 2>/dev/null >/dev/null
+done
+
+if test -d "/var/lock"; then
+ mkdir -p /var/lock || exit 1
+fi
+
+/usr/sbin/pppd pty "pptp x.x.x.x --loglevel 0 --nolaunchpppd" file /etc/ppp/options.pptp
+
+
diff --git a/openwrt/package/pptp/ipkg/etc/ppp/options.pptp b/openwrt/package/pptp/ipkg/etc/ppp/options.pptp
index 85b043f..0eb1e87 100644
--- a/openwrt/package/pptp/ipkg/etc/ppp/options.pptp
+++ b/openwrt/package/pptp/ipkg/etc/ppp/options.pptp
@@ -1 +1,12 @@
-lock noauth nobsdcomp nodeflate
+lock
+noauth
+nobsdcomp
+nodeflate
+mtu 1490
+mru 1490
+lcp-echo-failure 5
+lcp-echo-interval 120
+idle 0
+defaultroute
+name xxxx
+remotename xxxx